# CompoundFields

class xsdata.models.config.CompoundFields(enabled=False, default_name='choice', use_substitution_groups=False, force_default_name=False, max_name_parts=3)

  Compound fields options.

  Parameters:

    - enabled (`bool`) – Use compound fields for repeatable elements

    - default_name (`str`) – Default compound field name

    - use_substitution_groups (`bool`) – Use substitution groups if they exist, instead of element names.

    - force_default_name (`bool`) – Always use the default compound field name, or try to generate one by the list of element names if they are no longer than the max name parts. e.g. hat_or_dress_or_something.

    - max_name_parts (`int`) – Maximum number of element names before using the default name.

  __eq__(other)

    Return self==value.

  __hash__ = None